_lscp_socket_agent_t Struct Reference

`#include <socket.h>`

## Data Fields

lscp_socket_t | sock
struct sockaddr_in | addr
lscp_thread_t * | pThread
int | iState

## Field Documentation

struct sockaddr_in _lscp_socket_agent_t::addr

Referenced by lscp_client_create(), lscp_server_create_ex(), lscp_socket_agent_init(), main(), and server_callback().

int _lscp_socket_agent_t::iState

Referenced by lscp_socket_agent_free(), lscp_socket_agent_init(), and lscp_socket_agent_start().

lscp_thread_t* _lscp_socket_agent_t::pThread

Referenced by lscp_socket_agent_free(), lscp_socket_agent_init(), lscp_socket_agent_join(), and lscp_socket_agent_start().

lscp_socket_t _lscp_socket_agent_t::sock

Referenced by lscp_client_call(), lscp_client_create(), lscp_client_recv(), lscp_server_broadcast(), lscp_server_create_ex(), lscp_server_result(), lscp_socket_agent_free(), lscp_socket_agent_init(), and main().

The documentation for this struct was generated from the following file:

- socket.h